Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1256839 - rs6000-cpus.def not found when building gcc plugin on ppc64/ppc64le
Summary: rs6000-cpus.def not found when building gcc plugin on ppc64/ppc64le
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 22
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-08-25 14:55 UTC by Dave Johansen
Modified: 2016-08-23 04:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 17:39:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 66840 None None None Never

Description Dave Johansen 2015-08-25 14:55:54 UTC
Description of problem:
When building odb 2.4 on ppc64le, the file rs6000-cpus.def is not found. The build works just fine on F21 but fails on F22.

Version-Release number of selected component (if applicable):
5.1.1

How reproducible:
Always

Steps to Reproduce:
1. Build odb 2.4 (see https://copr.fedoraproject.org/coprs/daveisfera/odb_2.4/build/111020/ )

Actual results:
Build fails due to file not being found.

Expected results:
Build finishes like in F21.

Comment 1 Dan Horák 2015-11-19 08:56:29 UTC
Looks as a upstream "packaging" issue in gcc >= 5.0 to me. F-21 is based on gcc 4.9.

Comment 2 Dan Horák 2015-11-27 08:30:31 UTC
not specific to ppc64le, ppc64 suffers from the same issue - like in http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2936249

...
libtool: compile:  g++ -DHAVE_CONFIG_H -I.. -I.. -I/usr/lib/gcc/ppc64-redhat-linux/5.1.1/plugin/include -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -c context.cxx  -fPIC -DPIC -o .libs/context.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I.. -I.. -I/usr/lib/gcc/ppc64-redhat-linux/5.1.1/plugin/include -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -c cxx-lexer.cxx  -fPIC -DPIC -o .libs/cxx-lexer.o
In file included from /usr/lib/gcc/ppc64-redhat-linux/5.1.1/plugin/include/tm.h:29:0,
                 from /usr/lib/gcc/ppc64-redhat-linux/5.1.1/plugin/include/gcc-plugin.h:31,
                 from ../odb/gcc.hxx:41,
                 from context.cxx:5:
/usr/lib/gcc/ppc64-redhat-linux/5.1.1/plugin/include/config/rs6000/default64.h:22:27: fatal error: rs6000-cpus.def: No such file or directory
compilation terminated.
Makefile:952: recipe for target 'context.lo' failed
make[2]: *** [context.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /usr/lib/gcc/ppc64-redhat-linux/5.1.1/plugin/include/tm.h:29:0,
                 from /usr/lib/gcc/ppc64-redhat-linux/5.1.1/plugin/include/gcc-plugin.h:31,
                 from ../odb/gcc.hxx:41,
                 from cxx-lexer.cxx:5:
/usr/lib/gcc/ppc64-redhat-linux/5.1.1/plugin/include/config/rs6000/default64.h:22:27: fatal error: rs6000-cpus.def: No such file or directory
compilation terminated.
Makefile:952: recipe for target 'cxx-lexer.lo' failed
make[2]: *** [cxx-lexer.lo] Error 1
make[2]: Leaving directory '/builddir/build/BUILD/odb-2.4.0/odb'
Makefile:426: recipe for target 'all' failed
make[1]: *** [all] Error 2

Comment 3 Fedora End Of Life 2016-07-19 17:39:27 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Dave Johansen 2016-08-23 04:30:30 UTC
This issue has been resolved:
https://copr.fedorainfracloud.org/coprs/daveisfera/odb_ppc/build/443795/


Note You need to log in before you can comment on or make changes to this bug.